	// ===============================================================
	// Global Var
	// ===============================================================
	
	// Edit Handler
	// _______________________________________________________________________
	var EDIT_HANDLER = function(){};	
	EDIT_HANDLER.REF_IS_MODIFIED = false;
	EDIT_HANDLER.HAS_NEWLY_SAVED_DATA = false;
	var PROPERTY_PARENT_ID = 0;
	var PROPERTY_PARENT_DESCRIPTION = "";
	
	
	// Cache
	// _______________________________________________________________________
	var PROPERTY_REC_RELOAD_ID = -1;
	var PROPERTY_EDIT_MODE = false;
	var PROPERTY_EDIT_ROW_INDEX = -1;
	var INPUT_INSTANCE = null;
	
	
	// Buttons [Optional]
	// _______________________________________________________________________
	var ADD_BBI = null;
	var SAVE_BBI = null;
	var DELETE_BBI = null;
	var CANCEL_BBI = null;
	var NAVIGATION_BACK_BBI = null;
	
	var LOAD_MORE_BBI = null;
	var LOAD_PREV_BBI = null;
	var LOAD_NEXT_BBI = null;
	var LOAD_PAGING_CMB = null;
	var LOAD_PAGING_IGNORE_NEXT_REQUEST = false;
	
	var SEARCH_CMD = null;
	var PRINT_BBI = null;
	var EXPORT_BBI = null;
	
	
	// Dialog Controls [Optional]
	// _______________________________________________________________________
	var REC_RELOAD_REC_BALANCE_ID_CMB = null;
	var REC_RELOAD_PRICE_SMS_TXT = null;
	var REC_RELOAD_PRICE_TOTAL_TXT = null;
	var REC_RELOAD_BALANCE_ADD_TXT = null;
	var REC_RELOAD_HAS_BILL_CMB = null;
	var REC_RELOAD_REFERENCE_CODE_TXT = null;
	var REC_RELOAD_DATE_BILL_DTP = null;
	var REC_RELOAD_REMARKS_TXT = null;
	var REC_RELOAD_STATUS_CMB = null;
	var PARAM_REC_RELOAD_ID_FILE_FP = null;
	
	
	// DGV Controls
	// _______________________________________________________________________
	var RELOAD_DGV = null;
	var RELOAD_LAST_GET_MAP_ARRAY = null;


	// ===============================================================
	// Initialize Controls
	// ===============================================================     
	function FORM_INITIALIZE()
	{
		// Load Cache Parent Data [Add Redirects if this is a required data.]
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_RELOAD"))
		{
			PROPERTY_PARENT_ID = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_ID_RELOAD");
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];
			//window.close();
		}
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_RELOAD"))
		{
			PROPERTY_PARENT_DESCRIPTION = JSVC_COOKIE.VAR_READ("PROPERTY_PARENT_DESCRIPTION_RELOAD");
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_TXT") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_TXT", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_PARENT_DESCRIPTION_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_PARENT_DESCRIPTION_LBL", PROPERTY_PARENT_DESCRIPTION);			
			}
			if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PAGE_TITLE_LBL") == true)
			{
				JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL", JSOC_ELEMENT.VAR_VALUE("PAGE_TITLE_LBL") + " : " + PROPERTY_PARENT_DESCRIPTION);	
			}
		}	
		else
		{
			//window.location = JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS];	
		}
	
		// Restore Cache on reload
		// ...........................................	
		if
		(
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_ID_RELOAD") || 
			JSVC_COOKIE.VAR_ISSET("PROPERTY_PARENT_DESCRIPTION_RELOAD")
		)
		{
			  window.onbeforeunload = function(event)
			  {
					// Get Current Root path
					var CURRENT_ROOT_PATH = JSCUS_CACHE.ROOT_PATH + JSVC_STR.VAR_MID(JSVC_STR.VAR_DLEFT(JSCUS_CACHE.AUTH_REDIRECT_URL[JSCUS_CACHE.LOGIN_CLASS], JSCUS_CACHE.SERVER_URL.length), 1, 1);
				
					// Cache Primary Key
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_ID_RELOAD', 
						PROPERTY_PARENT_ID, 
						5, 
						CURRENT_ROOT_PATH
					);
					
					// Cache Description
					JSVC_COOKIE.VAR_ADD
					(
						'PROPERTY_PARENT_DESCRIPTION_RELOAD', 
						PROPERTY_PARENT_DESCRIPTION, 
						5, 
						CURRENT_ROOT_PATH
					);
			  };
		}
		
 		// Cache Class Properties
		// ...........................................
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_REC_RELOAD_ID"))
		{
			PROPERTY_REC_RELOAD_ID = JSVC_COOKIE.VAR_READ("PROPERTY_REC_RELOAD_ID");
		}	
		if(JSVC_COOKIE.VAR_ISSET("PROPERTY_EDIT_MODE"))
		{
			PROPERTY_EDIT_MODE = JSVC_COOKIE.VAR_READ("PROPERTY_REC_RELOAD_ID");
		}
	
		// Initialize: Modals
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("RELOAD_MODAL") == true)
		{
			// Display Modal
			JSOC_DIALOG.VAR_MODAL("RELOAD_MODAL", false);
		}
		
		// Initialize: Load more items to the list
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_MORE_BBI"))
		{
    		LOAD_MORE_BBI = JSOC_ELEMENT.VAR_GET("LOAD_MORE_BBI");  
			LOAD_MORE_BBI.onclick = 
				function()
				{
					HTTP_SEARCH_LOAD_MORE();
				};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_PREV_BBI"))
		{
    		LOAD_PREV_BBI = JSOC_ELEMENT.VAR_GET("LOAD_PREV_BBI");  
			LOAD_PREV_BBI.onclick = 
				function()
				{
					var CURRENT_INDEX = JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB);
					if(CURRENT_INDEX > 0)
					{
						JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB, CURRENT_INDEX - 1);
						LOAD_PAGING_CMB.onchange();
					}
				};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_NEXT_BBI"))
		{
    		LOAD_NEXT_BBI = JSOC_ELEMENT.VAR_GET("LOAD_NEXT_BBI");  
			LOAD_NEXT_BBI.onclick = 
				function()
				{
					var CURRENT_INDEX = JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB);
					if(CURRENT_INDEX + 1 < JSOC_CMB.VAR_COUNT(LOAD_PAGING_CMB))
					{
						JSOC_CMB.VAR_SELECTED_INDEX(LOAD_PAGING_CMB, CURRENT_INDEX + 1);
						LOAD_PAGING_CMB.onchange();
					}
				};
		}		
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("LOAD_PAGING_CMB"))
		{
    		LOAD_PAGING_CMB = JSOC_ELEMENT.VAR_GET("LOAD_PAGING_CMB");  
			LOAD_PAGING_CMB.onchange = 
				function()
				{
					HTTP_SEARCH_LOAD_PAGE();
				};
		}

		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_CMD"))
		{
			SEARCH_CMD = JSOC_ELEMENT.VAR_GET("SEARCH_CMD");
			SEARCH_CMD.onclick = function(){HTTP_SEARCH()};
		}		

		// Initialize: Ribbon Buttons [Add Print]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PRINT_BBI"))
		{
			PRINT_BBI = JSOC_ELEMENT.VAR_GET("PRINT_BBI");
			PRINT_BBI.onclick = function()
			{
				window.print();
			};
		}		
		
		// Initialize: Ribbon Buttons [Add Search]
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("EXPORT_BBI"))
		{
			EXPORT_BBI = JSOC_ELEMENT.VAR_GET("EXPORT_BBI");
			EXPORT_BBI.onclick = function()
			{
				JSOC_DIALOG.VAR_LOADING_SPINNER(true);
				JSRC_THREAD.REF_POST_DELAYED			
				(
					async function()
					{
						await JSRC_EXCEL.REF_EXPORT('RELOAD_DGV');
						CUS_SEND_DIALOG_TRY_DISMISS();
					},
					100
				);
			};
		}		

		
		// Prepare onChange event
		// ...........................................
		var ON_CHANGE_EVENT = '';
		
		
		// Initialize: Input Controls
		// ...........................................
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_RELOAD_ID_TXT"))
		{
			REC_RELOAD_ID_TXT = JSOC_ELEMENT.VAR_GET("REC_RELOAD_ID_TXT");      
			REC_RELOAD_ID_TXT.onchange = 
				function()
				{
					if(REC_RELOAD_ID_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_RELOAD_ID_TXT.onkeypress = function(){REC_RELOAD_ID_TXT.onchange();};
			REC_RELOAD_ID_TXT.onpaste = function(){REC_RELOAD_ID_TXT.onchange();};
			//REC_RELOAD_ID_TXT.oninput = function(){REC_RELOAD_ID_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_RELOAD_CODE_TXT"))
		{
			REC_RELOAD_CODE_TXT = JSOC_ELEMENT.VAR_GET("REC_RELOAD_CODE_TXT");      
			REC_RELOAD_CODE_TXT.onchange = 
				function()
				{
					if(REC_RELOAD_CODE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_RELOAD_CODE_TXT.onkeypress = function(){REC_RELOAD_CODE_TXT.onchange();};
			REC_RELOAD_CODE_TXT.onpaste = function(){REC_RELOAD_CODE_TXT.onchange();};
			REC_RELOAD_CODE_TXT.oninput = function(){REC_RELOAD_CODE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_RELOAD_PRICE_SMS_TXT"))
		{
			REC_RELOAD_PRICE_SMS_TXT = JSOC_ELEMENT.VAR_GET("REC_RELOAD_PRICE_SMS_TXT");      
			REC_RELOAD_PRICE_SMS_TXT.onchange = 
				function()
				{
					if(REC_RELOAD_PRICE_SMS_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
						JSOC_ELEMENT.VAR_VALUE
						(
							REC_RELOAD_BALANCE_ADD_TXT, 
							Math.trunc
							(
								JSVC_NUM.VAR_NVAL(JSOC_ELEMENT.VAR_VALUE(REC_RELOAD_PRICE_TOTAL_TXT)) /
								JSVC_NUM.VAR_NVAL(JSOC_ELEMENT.VAR_VALUE(REC_RELOAD_PRICE_SMS_TXT))
							)
						);
					}
				};
			REC_RELOAD_PRICE_SMS_TXT.onkeypress = function(){REC_RELOAD_PRICE_SMS_TXT.onchange();};
			REC_RELOAD_PRICE_SMS_TXT.onpaste = function(){REC_RELOAD_PRICE_SMS_TXT.onchange();};
			REC_RELOAD_PRICE_SMS_TXT.oninput = function(){REC_RELOAD_PRICE_SMS_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_RELOAD_PRICE_TOTAL_TXT"))
		{
			REC_RELOAD_PRICE_TOTAL_TXT = JSOC_ELEMENT.VAR_GET("REC_RELOAD_PRICE_TOTAL_TXT");      
			REC_RELOAD_PRICE_TOTAL_TXT.onchange = 
				function()
				{
					if(REC_RELOAD_PRICE_TOTAL_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
						JSOC_ELEMENT.VAR_VALUE
						(
							REC_RELOAD_BALANCE_ADD_TXT, 
							Math.trunc
							(
								JSVC_NUM.VAR_NVAL(JSOC_ELEMENT.VAR_VALUE(REC_RELOAD_PRICE_TOTAL_TXT)) /
								JSVC_NUM.VAR_NVAL(JSOC_ELEMENT.VAR_VALUE(REC_RELOAD_PRICE_SMS_TXT))
							)
						);
					}
				};
			REC_RELOAD_PRICE_TOTAL_TXT.onkeypress = function(){REC_RELOAD_PRICE_TOTAL_TXT.onchange();};
			REC_RELOAD_PRICE_TOTAL_TXT.onpaste = function(){REC_RELOAD_PRICE_TOTAL_TXT.onchange();};
			//REC_RELOAD_PRICE_TOTAL_TXT.oninput = function(){REC_RELOAD_PRICE_TOTAL_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_RELOAD_BALANCE_ADD_TXT"))
		{
			REC_RELOAD_BALANCE_ADD_TXT = JSOC_ELEMENT.VAR_GET("REC_RELOAD_BALANCE_ADD_TXT");      
			REC_RELOAD_BALANCE_ADD_TXT.onchange = 
				function()
				{
					if(REC_RELOAD_BALANCE_ADD_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_RELOAD_BALANCE_ADD_TXT.onkeypress = function(){REC_RELOAD_BALANCE_ADD_TXT.onchange();};
			REC_RELOAD_BALANCE_ADD_TXT.onpaste = function(){REC_RELOAD_BALANCE_ADD_TXT.onchange();};
			//REC_RELOAD_BALANCE_ADD_TXT.oninput = function(){REC_RELOAD_BALANCE_ADD_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_RELOAD_BALANCE_OLD_TXT"))
		{
			REC_RELOAD_BALANCE_OLD_TXT = JSOC_ELEMENT.VAR_GET("REC_RELOAD_BALANCE_OLD_TXT");      
			REC_RELOAD_BALANCE_OLD_TXT.onchange = 
				function()
				{
					if(REC_RELOAD_BALANCE_OLD_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_RELOAD_BALANCE_OLD_TXT.onkeypress = function(){REC_RELOAD_BALANCE_OLD_TXT.onchange();};
			REC_RELOAD_BALANCE_OLD_TXT.onpaste = function(){REC_RELOAD_BALANCE_OLD_TXT.onchange();};
			//REC_RELOAD_BALANCE_OLD_TXT.oninput = function(){REC_RELOAD_BALANCE_OLD_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_RELOAD_BALANCE_NEW_TXT"))
		{
			REC_RELOAD_BALANCE_NEW_TXT = JSOC_ELEMENT.VAR_GET("REC_RELOAD_BALANCE_NEW_TXT");      
			REC_RELOAD_BALANCE_NEW_TXT.onchange = 
				function()
				{
					if(REC_RELOAD_BALANCE_NEW_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_RELOAD_BALANCE_NEW_TXT.onkeypress = function(){REC_RELOAD_BALANCE_NEW_TXT.onchange();};
			REC_RELOAD_BALANCE_NEW_TXT.onpaste = function(){REC_RELOAD_BALANCE_NEW_TXT.onchange();};
			//REC_RELOAD_BALANCE_NEW_TXT.oninput = function(){REC_RELOAD_BALANCE_NEW_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_RELOAD_DATE_TRANSACT_DTP"))
		{
			REC_RELOAD_DATE_TRANSACT_DTP = JSOC_ELEMENT.VAR_GET("REC_RELOAD_DATE_TRANSACT_DTP");   
			JSOC_ELEMENT.VAR_VALUE(REC_RELOAD_DATE_TRANSACT_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			REC_RELOAD_DATE_TRANSACT_DTP.onchange = 
				function()
				{
					if(REC_RELOAD_DATE_TRANSACT_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_RELOAD_DATE_TRANSACT_DTP.onkeypress = function(){REC_RELOAD_DATE_TRANSACT_DTP.onchange();};
			REC_RELOAD_DATE_TRANSACT_DTP.onpaste = function(){REC_RELOAD_DATE_TRANSACT_DTP.onchange();};
			REC_RELOAD_DATE_TRANSACT_DTP.oninput = function(){REC_RELOAD_DATE_TRANSACT_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_RELOAD_DATE_TRANSACT_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_RELOAD_DATE_TRANSACT_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_RELOAD_DATE_TRANSACT_FROM_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_RELOAD_DATE_TRANSACT_FROM_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_RELOAD_DATE_TRANSACT_TO_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_RELOAD_DATE_TRANSACT_TO_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', 7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_RELOAD_HAS_BILL_CMB"))
		{
			REC_RELOAD_HAS_BILL_CMB = JSOC_ELEMENT.VAR_GET("REC_RELOAD_HAS_BILL_CMB");     
			REC_RELOAD_HAS_BILL_CMB.onchange = 
				function()
				{
					if(REC_RELOAD_HAS_BILL_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_RELOAD_HAS_BILL_CMB.onkeypress = function(){REC_RELOAD_HAS_BILL_CMB.onchange();};
			REC_RELOAD_HAS_BILL_CMB.onpaste = function(){REC_RELOAD_HAS_BILL_CMB.onchange();};
			//REC_RELOAD_HAS_BILL_CMB.oninput = function(){REC_RELOAD_HAS_BILL_CMB.onchange();};						
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_RELOAD_REFERENCE_CODE_TXT"))
		{
			REC_RELOAD_REFERENCE_CODE_TXT = JSOC_ELEMENT.VAR_GET("REC_RELOAD_REFERENCE_CODE_TXT");      
			REC_RELOAD_REFERENCE_CODE_TXT.onchange = 
				function()
				{
					if(REC_RELOAD_REFERENCE_CODE_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_RELOAD_REFERENCE_CODE_TXT.onkeypress = function(){REC_RELOAD_REFERENCE_CODE_TXT.onchange();};
			REC_RELOAD_REFERENCE_CODE_TXT.onpaste = function(){REC_RELOAD_REFERENCE_CODE_TXT.onchange();};
			//REC_RELOAD_REFERENCE_CODE_TXT.oninput = function(){REC_RELOAD_REFERENCE_CODE_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_RELOAD_DATE_BILL_DTP"))
		{
			REC_RELOAD_DATE_BILL_DTP = JSOC_ELEMENT.VAR_GET("REC_RELOAD_DATE_BILL_DTP");   
			JSOC_ELEMENT.VAR_VALUE(REC_RELOAD_DATE_BILL_DTP, JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD" + "T00:00"));
			REC_RELOAD_DATE_BILL_DTP.onchange = 
				function()
				{
					if(REC_RELOAD_DATE_BILL_DTP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_RELOAD_DATE_BILL_DTP.onkeypress = function(){REC_RELOAD_DATE_BILL_DTP.onchange();};
			REC_RELOAD_DATE_BILL_DTP.onpaste = function(){REC_RELOAD_DATE_BILL_DTP.onchange();};
			REC_RELOAD_DATE_BILL_DTP.oninput = function(){REC_RELOAD_DATE_BILL_DTP.onchange();};					
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_RELOAD_DATE_BILL_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_RELOAD_DATE_BILL_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_NOW(), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_RELOAD_DATE_BILL_FROM_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_RELOAD_DATE_BILL_FROM_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', -7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("SEARCH_REC_RELOAD_DATE_BILL_TO_DTP"))
		{
			JSOC_ELEMENT.VAR_VALUE("SEARCH_REC_RELOAD_DATE_BILL_TO_DTP", JSVC_DATE.VAR_FORMAT(JSVC_DATE.VAR_ADD('DAY', 7, JSVC_DATE.VAR_NOW()), "YYYY-MM-DD") + "T00:00");
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_RELOAD_REMARKS_TXT"))
		{
			REC_RELOAD_REMARKS_TXT = JSOC_ELEMENT.VAR_GET("REC_RELOAD_REMARKS_TXT");      
			REC_RELOAD_REMARKS_TXT.onchange = 
				function()
				{
					if(REC_RELOAD_REMARKS_TXT.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_RELOAD_REMARKS_TXT.onkeypress = function(){REC_RELOAD_REMARKS_TXT.onchange();};
			REC_RELOAD_REMARKS_TXT.onpaste = function(){REC_RELOAD_REMARKS_TXT.onchange();};
			//REC_RELOAD_REMARKS_TXT.oninput = function(){REC_RELOAD_REMARKS_TXT.onchange();};
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("REC_RELOAD_STATUS_CMB"))
		{
			REC_RELOAD_STATUS_CMB = JSOC_ELEMENT.VAR_GET("REC_RELOAD_STATUS_CMB");      	
			REC_RELOAD_STATUS_CMB.onchange = 
				function()
				{
					if(REC_RELOAD_STATUS_CMB.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};
			REC_RELOAD_STATUS_CMB.onkeypress = function(){REC_RELOAD_STATUS_CMB.onchange();};
			REC_RELOAD_STATUS_CMB.onpaste = function(){REC_RELOAD_STATUS_CMB.onchange();};
			//REC_RELOAD_STATUS_CMB.oninput = function(){REC_RELOAD_STATUS_CMB.onchange();};							
		}
		if(JSOC_ELEMENT.VAR_ELEMENT_EXISTS("PARAM_REC_RELOAD_ID_FILE_FP"))
		{
			PARAM_REC_RELOAD_ID_FILE_FP = JSOC_ELEMENT.VAR_GET("PARAM_REC_RELOAD_ID_FILE_FP");
			PARAM_REC_RELOAD_ID_FILE_FP.onchange = 
				function()
				{
					if(PARAM_REC_RELOAD_ID_FILE_FP.disabled == false)
					{
						EDIT_HANDLER.REF_IS_MODIFIED = true;
					}
				};			
		}
				
		
		// Initialize: Default Settings
		// ...........................................
		// FORM_PREPARE_DEFAULT_SETTINGS();   	
	};